///////////////////////////////////////////////////////////////////////
//                                                   41 Post                                       //
// Created by DimasTheDriver on June/13/2011                                    //
// Part of 'Unity: Rotation Controller' post.                          			 //
// Available at:     http://www.41post.com/?p=4101                              //
/////////////////////////////////////////////////////////////////////

using UnityEngine;
using System.Collections;

public class RotationControllerRelative : MonoBehaviour 
{
	//the containing game object's Transform
	private Transform goTransform;
	//the pivot which the game object should rotate around at
	private Transform pivotTransform;
	//the velocity to rotate the game object
	public float vel = 2.0f;
	//a boolean that flags if the player is at the top side of the screen
	private bool topSide = false;
	//the direction (clockwise or counter clockwise)
	float motionDirection;
	
	void Awake() 
	{
		//get the game object's Transform
		goTransform = this.GetComponent<Transform>();
		//get the pivot's Transform
		pivotTransform = GameObject.FindWithTag("Pivot").GetComponent<Transform>();
	}
	
	// Update is called once per frame
	void FixedUpdate () 
	{
		//if one of the horizontal buttons were pressed and then released
		if(Input.GetButtonUp("Horizontal"))
		{
			//if the player is at the top half
			if(goTransform.position.y>0)
			{
				topSide = true; 
			}
			else //player is at the bottom half
			{
				topSide = false;
			}
		}
		
		//if the player is at the top half of the screen
		if(topSide)
		{
			//Right => Clockwise. Left => Counterclockwise
			motionDirection = -Input.GetAxisRaw("Horizontal");
		}
		else
		{
			//Right => Counterclockwise. Left => Clockwise
			motionDirection = Input.GetAxisRaw("Horizontal");
		}
		
		//rotate the player around the pivot
		goTransform.RotateAround(pivotTransform.position, Vector3.forward, motionDirection*vel);
	}
}
