///////////////////////////////////////////////////////////////////////
//                                                   41 Post                                       //
// Created by DimasTheDriver on June/13/2011                                    //
// Part of 'Unity: Rotation Controller' post.                          			 //
// Available at:     http://www.41post.com/?p=4101                              //
/////////////////////////////////////////////////////////////////////

using UnityEngine;
using System.Collections;

public class RotationControllerSimple : MonoBehaviour 
{
	//the containing game object's Transform
	private Transform goTransform;
	//the pivot which the game object should rotate around at
	private Transform pivotTransform;
	//the velocity to rotate the game object
	public float vel = 2.0f;
	
	void Awake() 
	{
		//get the game object's Transform
		goTransform = this.GetComponent<Transform>();
		//get the pivot's Transform
		pivotTransform = GameObject.FindWithTag("Pivot").GetComponent<Transform>();
	}
	
	// Update is called once per frame
	void FixedUpdate () 
	{
		//rotate the player around the pivot
		goTransform.RotateAround(pivotTransform.position, Vector3.forward, Input.GetAxisRaw("Horizontal")*vel);
	}
}
